# htmx_contact

![build-status](https://drone.runcible.io/api/badges/androiddrew/htmx_contact/status.svg)

Learning [HTMX](https://htmx.org/) by building a the htmx contact.app from https://hypermedia.systems/book/contents/

## Local Development

This project uses Pyinvoke for local development utilities. See:

```
inv --list
```

For a list of current utilities.


## Features

- [x] Application factory
  - [x] View Blueprints
  - [x] Configuration with Pydantic
    - [x] dotenv support for local dev
- [ ] Sqlalchemy integration
  - [ ] Model migrations using Alembic
- [ ] User accounts
  - [ ]
- [ ] Email integration
- [ ] Admin portal
- [ ] Hypermedia Application driven by HTMX under `/`
- [ ] JSON API under `/api` route
- [ ] Tilt local development environment
- [ ] Helm Chart Deployment
- [x] Continous Integration with Drone.io
  - [x] Lint Checks
  - [x] Unit Tests
  - [ ] Integration Tests
- [ ] Continuous Delivery pipeline with Drone.io
